Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.olap.service
Interface OlapConnectionService

All Known Implementing Classes:
  OlapConnectionServiceImpl

    public interface OlapConnectionService

Author:
  sbirney

Method Summary
`com.tonbeller.jpivot.olap.model.OlapModel` | `createOlapModel(ExecutionContext context, OlapUnit olapUnit)`
`Resource` | `dereference(ExecutionContext context, ResourceReference ref)`
`java.lang.String` | `getFileResourceData(ExecutionContext context, FileResource file)`
`mondrian.olap.Util.PropertyList` | `getMondrianConnectProperties(ExecutionContext context, MondrianConnection conn)`
`void` | `saveResource(ExecutionContext context, java.lang.String path, Resource resource)`
`ValidationResult` | `validate(ExecutionContext context, OlapUnit unit)`
`ValidationResult` | `validate(ExecutionContext context, OlapUnit unit, FileResource schema, OlapClientConnection conn, ReportDataSource dataSource)`

Method Detail

### createOlapModel

    com.tonbeller.jpivot.olap.model.OlapModel createOlapModel(ExecutionContext context,
                                                              OlapUnit olapUnit)

### getMondrianConnectProperties

    mondrian.olap.Util.PropertyList getMondrianConnectProperties(ExecutionContext context,
                                                                 MondrianConnection conn)

### validate

    ValidationResult validate(ExecutionContext context,
                              OlapUnit unit)

### validate

    ValidationResult validate(ExecutionContext context,
                              OlapUnit unit,
                              FileResource schema,
                              OlapClientConnection conn,
                              ReportDataSource dataSource)

### saveResource

    void saveResource(ExecutionContext context,
                      java.lang.String path,
                      Resource resource)

### dereference

    Resource dereference(ExecutionContext context,
                         ResourceReference ref)

### getFileResourceData

    java.lang.String getFileResourceData(ExecutionContext context,
                                         FileResource file)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.